### Method

# FwupdPlugin ChunkArray index

since: 1.9.6

#### Declaration [src]

    FuChunk*
    fu_chunk_array_index (
      FuChunkArray* self,
      guint idx,
      GError** error
    )

#### Description [src]

Gets the next chunk.

Available since: 1.9.6

#### Parameters

`idx`

  Type: `guint`

  The chunk index.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FuChunk`

A `FuChunk` or `NULL` if not valid.

The caller of the method takes ownership of the data, and is responsible for freeing it.